﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Charting;
using System.Collections.ObjectModel;

namespace WpfApplication_chart
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        ObservableCollection<ObservableCollection<A>> source = new ObservableCollection<ObservableCollection<A>>();
        public Window1()
        {
            InitializeComponent();
            RadChart1.DefaultSeriesDefinition = new LineSeriesDefinition();
            RadChart1.ItemsSource = source;//new[] { 1, 2, 3, 11, 4, 8, 11, 20, 5 };           
        }

        public static int collectionIndex = 0;
        private void Button_Click(object sender, RoutedEventArgs e)
        {
            source.Add(new ObservableCollection<A>(A.Fill()));
            SeriesMapping m = new SeriesMapping() { CollectionIndex = collectionIndex++ };
            m.ItemMappings.Add(new ItemMapping() { FieldName = "Y", DataPointMember = DataPointMember.YValue });
            m.ItemMappings.Add(new ItemMapping() { FieldName = "Y", DataPointMember = DataPointMember.XValue });

            RadChart1.SeriesMappings.Add(m);
        }
    }

    public class A
    {
        public double Y { get; set; }
        public double X { get; set; }

        public static IEnumerable<A> Fill()
        {
            for (int i = 0; i < 3; i++)
            {
                yield return new A() { X = i + Window1.collectionIndex, Y = i + Window1.collectionIndex };
            }
        }
    }
}
